<?php
/**
 * Version 0.0.3
 *
 * This file is just an example you can copy it to your theme and modify it to fit your own needs.
 * Watch the paths though.
 */
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// Don't duplicate me!
if ( !class_exists( 'Radium_Theme_Demo_Data_Importer' ) ) {

	require_once( EUNICE_PLUGIN_INC . '/import/importer/radium-importer.php' ); //load admin theme data importer

	class Radium_Theme_Demo_Data_Importer extends Radium_Theme_Importer {

		/**
		 * Set framewok
		 *
		 * options that can be used are 'default', 'radium' or 'optiontree'
		 *
		 * @since 0.0.3
		 *
		 * @var string
		 */
		public $theme_options_framework = 'codestar-framework';

		/**
		 * Holds a copy of the object for easy reference.
		 *
		 * @since 0.0.1
		 *
		 * @var object
		 */
		private static $instance;

		/**
		 * Set the key to be used to store theme options
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $theme_option_name       = 'codestar-framework'; //set theme options name here (key used to save theme options). Optiontree option name will be set automatically

		/**
		 * Set name of the theme options file
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $theme_options_file_name = 'theme-options.txt';

		/**
		 * Set name of the widgets json file
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $widgets_file_name       = 'widget.wie';

		/**
		 * Set name of the content file
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $content_demo_file_name  = 'content.xml';

		/**
		 * Holds a copy of the widget settings
		 *
		 * @since 0.0.2
		 *
		 * @var string
		 */
		public $widget_import_results;

		/**
		 * Constructor. Hooks all interactions to initialize the class.
		 *
		 * @since 0.0.1
		 */
		public function __construct() {

			$this->demo_files_path = EUNICE_PLUGIN_INC . '/import/demo-files/'; // can

			self::$instance = $this;
			parent::__construct();

		}

		/**
		 * Add menus - the menus listed here largely depend on the ones registered in the theme
		 *
		 * @since 0.0.1
		 */
		public function set_demo_menus(){

			// Menus to Import and assign - you can remove or add as many as you want
			$main_menu = get_term_by('name', 'Main Navigation', 'nav_menu');

			set_theme_mod( 'nav_menu_locations',
				array(
					'primary' => $main_menu->term_id,
				)
			);

			$this->flag_as_imported['menus'] = true;

		} // Set Menus

		/**
		 * Set Home Page & Post Page
		 *
		 * @since 0.0.1
		 */
		public function set_home_page(){

			// Set the front page
			$homepage = get_page_by_title( 'Home' );
			if ( $homepage ) {
		    update_option( 'page_on_front', $homepage->ID );
		    update_option( 'show_on_front', 'page' );
			}
			// Set the blog page
			$blogpage = get_page_by_title('Journal');
			if ( $blogpage ) {
		    update_option('page_for_posts', $blogpage->ID);
			}

		} // Set Home Page

	}

	new Radium_Theme_Demo_Data_Importer;

}
